Subject: Re: 1.5.11: execvp bug (XP)
From: Isaac Foraker <[email-masked]>
To: [email-masked]
Date: Tue, 07 Sep 2004 17:42:24 -0600

As stated in my original post, I renamed make.exe to gmake.exe to avoid 
a name conflict with Opus make (also named make.exe).  So, 
gmake.exe==Cygwin make.exe.  My environment is somewhat customized 
because I have a lot of different build requirements depending on the 
project I am working on.

Renaming gmake back to make gives the same result.

#which make
/usr/bin/make

#make
perl foo.pl
make: execvp: perl: Permission denied
make: *** [default] Error 127

Thanks,
IF

Igor Pechtchanski wrote:

>On Tue, 7 Sep 2004, Isaac Foraker wrote:
>
>  
>
>>Yes, the perl soft link works from the command line.  Here's my test
>>case that fails.
>>
>><foo.pl>
>>#!/usr/bin/perl
>>
>>print "Success.\n"
>></foo.pl>
>>
>><Makefile>
>>default:
>>       perl foo.pl
>></Makefile>
>>
>>#ls -l /usr/bin/perl
>>lrwxrwxrwx    1 isaacf   Domain U       24 Sep  7 12:44 /usr/bin/perl ->
>>/usr/bin/perl5.8.5.exe
>>
>>#gmake
>>    
>>
>   ^^^^^
>  
>
>>perl foo.pl
>>gmake: execvp: perl: Permission denied
>>gmake: *** [default] Error 127
>>    
>>
>  ^^^^^
>  
>
>>#perl foo.pl
>>Success.
>>
>>You may also need to "rm /usr/bin/perl.exe" before you can "ln -s
>>/usr/bin/perl5.8.5.exe /usr/bin/perl".
>>    
>>
>
>According to
><http://cygwin.com/cgi-bin2/package-grep.cgi?grep=bin%2Fgmake>, there is
>no "gmake" in the Cygwin distribution.  Is "gmake" a Windows executable,
>by any chance?  If so, the behavior is expected -- Windows programs don't
>understand Cygwin symlinks.
>
>Why not use Cygwin make?
>	Igor
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/